Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.filters
Class HasAttributeFilter

    java.lang.Object
      org.htmlparser.filters.HasAttributeFilter

All Implemented Interfaces:
  Serializable, Cloneable, NodeFilter

    public class HasAttributeFilter

extends Object
implements NodeFilter

This class accepts all tags that have a certain attribute, and optionally, with a certain value.

See Also:
  Serialized Form

Field Summary
`protected String` | `mAttribute` The attribute to check for.
`protected String` | `mValue` The value to check for.

Constructor Summary
`HasAttributeFilter()` Creates a new instance of HasAttributeFilter.
`HasAttributeFilter(String attribute)` Creates a new instance of HasAttributeFilter that accepts tags with the given attribute.
`HasAttributeFilter(String attribute, String value)` Creates a new instance of HasAttributeFilter that accepts tags with the given attribute and value.

Method Summary
`boolean` | `accept(Node node)` Accept tags with a certain attribute.
`String` | `getAttributeName()` Get the attribute name.
`String` | `getAttributeValue()` Get the attribute value.
`void` | `setAttributeName(String name)` Set the attribute name.
`void` | `setAttributeValue(String value)` Set the attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mAttribute

    protected String mAttribute

  The attribute to check for.

### mValue

    protected String mValue

  The value to check for.

Constructor Detail

### HasAttributeFilter

    public HasAttributeFilter()

  Creates a new instance of HasAttributeFilter. With no attribute name, this would always return `false` from `accept(org.htmlparser.Node)`.

### HasAttributeFilter

    public HasAttributeFilter(String attribute)

  Creates a new instance of HasAttributeFilter that accepts tags with the given attribute.

  Parameters:
    `attribute` - The attribute to search for.

### HasAttributeFilter

    public HasAttributeFilter(String attribute,
                              String value)

  Creates a new instance of HasAttributeFilter that accepts tags with the given attribute and value.

  Parameters:
    `attribute` - The attribute to search for.
    `value` - The value that must be matched, or null if any value will match.

Method Detail

### getAttributeName

    public String getAttributeName()

  Get the attribute name.

  Returns:
    Returns the name of the attribute that is acceptable.

### setAttributeName

    public void setAttributeName(String name)

  Set the attribute name.

  Parameters:
    `name` - The name of the attribute to accept.

### getAttributeValue

    public String getAttributeValue()

  Get the attribute value.

  Returns:
    Returns the value of the attribute that is acceptable.

### setAttributeValue

    public void setAttributeValue(String value)

  Set the attribute value.

  Parameters:
    `value` - The value of the attribute to accept. If `null`, any tag with the attribute, no matter what it's value is acceptable.

### accept

    public boolean accept(Node node)

  Accept tags with a certain attribute.

  Specified by:
    `accept` in interface `NodeFilter`
  Parameters:
    `node` - The node to check.
  Returns:
    `true` if the node has the attribute (and value if that is being checked too), `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |